Loading...
Searching...
No Matches
irr::SEvent Struct Reference

SEvents hold information about an event. See irr::IEventReceiver for details on event handling. More...

`#include <IEventReceiver.h>`

## Classes

struct | SGUIEvent
| Any kind of GUI event. More...
struct | SJoystickEvent
| A joystick event. More...
struct | SKeyInput
| Any kind of keyboard event. More...
struct | SLogEvent
| Any kind of log event. More...
struct | SMouseInput
| Any kind of mouse event. More...
struct | SUserEvent
| Any kind of user event. More...

## Public Attributes

union { |
struct SGUIEvent GUIEvent |
struct SJoystickEvent JoystickEvent |
struct SKeyInput KeyInput |
struct SLogEvent LogEvent |
struct SMouseInput MouseInput |
struct SUserEvent UserEvent |
}; |
EEVENT_TYPE | EventType

## Detailed Description

SEvents hold information about an event. See irr::IEventReceiver for details on event handling.

Definition at line 262 of file IEventReceiver.h.

## Member Data Documentation

## [union]

union { ... } irr::SEvent

## EventType

EEVENT_TYPE irr::SEvent::EventType

Definition at line 414 of file IEventReceiver.h.

## GUIEvent

struct SGUIEvent irr::SEvent::GUIEvent

Definition at line 417 of file IEventReceiver.h.

## JoystickEvent

struct SJoystickEvent irr::SEvent::JoystickEvent

Definition at line 420 of file IEventReceiver.h.

## KeyInput

struct SKeyInput irr::SEvent::KeyInput

Definition at line 419 of file IEventReceiver.h.

## LogEvent

struct SLogEvent irr::SEvent::LogEvent

Definition at line 421 of file IEventReceiver.h.

## MouseInput

struct SMouseInput irr::SEvent::MouseInput

Definition at line 418 of file IEventReceiver.h.

## UserEvent

struct SUserEvent irr::SEvent::UserEvent

Definition at line 422 of file IEventReceiver.h.

The documentation for this struct was generated from the following file:

- IEventReceiver.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0